petsc-3.10.5 2019-03-28
Report Typos and Errors

# TSGetTimeStep

Gets the current timestep size.

### Synopsis

    #include "petscts.h"
    PetscErrorCode  TSGetTimeStep(TS ts,PetscReal *dt)

Not Collective

### Input Parameter

ts -the TS context obtained from TSCreate()

### Output Parameter

dt -the current timestep size

### See Also

TSSetTimeStep(), TSGetTime()

### Keywords

TS, get, timestep

### Level

intermediate

### Location

src/ts/interface/ts.c

### Examples

src/ts/examples/tutorials/ex3.c.html
src/ts/examples/tutorials/ex6.c.html
src/ts/examples/tutorials/ex8.c.html
src/ts/examples/tutorials/ex9.c.html
src/ts/examples/tutorials/ex10.c.html
src/ts/examples/tutorials/ex16.c.html
src/ts/examples/tutorials/ex19.c.html
src/ts/examples/tutorials/ex20.c.html
src/ts/examples/tutorials/ex24.c.html
src/ts/examples/tutorials/ex16adj.c.html
src/ts/examples/tutorials/ex16opt_p.c.html
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages